<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>

    <link href="../css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/prism.css" rel="stylesheet" media="all"/>
    <link href="../css/template.css" rel="stylesheet" media="all"/>
    
    <!--[if lt IE 9]>
    <script src="../js/html5.js"></script>
    <![endif]-->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../js/ui/1.10.4/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/jquery.smooth-scroll.js"></script>
    <script src="../js/prism.min.js"></script>
    <!-- TODO: Add http://jscrollpane.kelvinluck.com/ to style the scrollbars for browsers not using webkit-->
    <script type="text/javascript">
    function loadExternalCodeSnippets() {
        Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach(function (pre) {
            var src = pre.getAttribute('data-src');
            var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
            var language = 'php';

            var code = document.createElement('code');
            code.className = 'language-' + language;

            pre.textContent = '';

            code.textContent = 'Loading…';

            pre.appendChild(code);

            var xhr = new XMLHttpRequest();

            xhr.open('GET', src, true);

            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {

                    if (xhr.status < 400 && xhr.responseText) {
                        code.textContent = xhr.responseText;

                        Prism.highlightElement(code);
                    }
                    else if (xhr.status >= 400) {
                        code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                    }
                    else {
                        code.textContent = '✖ Error: File does not exist or is empty';
                    }
                }
            };

            xhr.send(null);
        });
    }

    $(document).ready(function(){
        loadExternalCodeSnippets();
    });
    $('#source-view').on('shown', function () {
        loadExternalCodeSnippets();
    })
</script>

    <link rel="shortcut icon" href="../images/favicon.ico"/>
    <link rel="apple-touch-icon" href="../images/apple-touch-icon.png"/>
    <link rel="apple-touch-icon" sizes="72x72" href="../images/apple-touch-icon-72x72.png"/>
    <link rel="apple-touch-icon" sizes="114x114" href="../images/apple-touch-icon-114x114.png"/>
</head>
<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-ellipsis-vertical"></i>
            </a>
            <a class="brand" href="../index.html">API Documentation</a>

            <div class="nav-collapse">
                <ul class="nav pull-right">
                                        <li class="dropdown">
                        <a href="../index.html" class="dropdown-toggle" data-toggle="dropdown">
                            API Documentation <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                                                        <li><a href="../namespaces/warden.html">\warden</a></li>
                                                    </ul>
                    </li>
                                        <li class="dropdown" id="charts-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Charts <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../graphs/class.html">
                                    <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="dropdown" id="reports-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Reports <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../reports/errors.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Errors <span class="label label-info pull-right">32</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/markers.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Markers <span class="label label-info pull-right">1</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/deprecated.html">
                                                                                                            <i class="icon-list-alt"></i>&#160;Deprecated <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!--<div class="go_to_top">-->
    <!--<a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>-->
    <!--</div>-->
</div>

<div id="___" class="container-fluid">
        <section class="row-fluid">
        <div class="span2 sidebar">
                                <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle " data-toggle="collapse" data-target="#namespace-1420102145"></a>
                                <a href="../namespaces/default.html" style="margin-left: 30px; padding-left: 0">\</a>
            </div>
            <div id="namespace-1420102145" class="accordion-body collapse in">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-1759059817"></a>
                                <a href="../namespaces/warden.html" style="margin-left: 30px; padding-left: 0">warden</a>
            </div>
            <div id="namespace-1759059817" class="accordion-body collapse ">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-90181047"></a>
                                <a href="../namespaces/warden.src.html" style="margin-left: 30px; padding-left: 0">src</a>
            </div>
            <div id="namespace-90181047" class="accordion-body collapse ">
                <div class="accordion-inner">

                    
                    <ul>
                                                    <li class="interface"><a href="../classes/warden.src.DAO.html">DAO</a></li>
                                                                                                    <li class="class"><a href="../classes/warden.src.DAOFactory.html">DAOFactory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.IdeaCategory.html">IdeaCategory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.MysqlDAO.html">MysqlDAO</a></li>
                                                    <li class="class"><a href="../classes/warden.src.PDOMysql.html">PDOMysql</a></li>
                                                    <li class="class"><a href="../classes/warden.src.Pool.html">Pool</a></li>
                                                    <li class="class"><a href="../classes/warden.src.Warden.html">Warden</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenFileSystem.html">WardenFileSystem</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenManager.html">WardenManager</a></li>
                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

        </div>
    </section>
    <section class="row-fluid">
        <div class="span10 offset2">
            <div class="row-fluid">
                <div class="span8 content class">
                    <nav>
                                                <a href="../namespaces/warden.src.html">\warden\src</a> <i class="icon-level-up"></i>
                                            </nav>
                    <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal"><i class="icon-code"></i></a>

                    <h1><small>\warden\src</small>IdeaCategory</h1>
                    <p><em>Classification of events for IDEA in the “Category” key</em></p>
                    
                    
                                        
                    <section id="summary">
                        <h2>Summary</h2>
                        <section class="row-fluid heading">
                            <section class="span4">
                                <a href="#methods">Methods</a>
                            </section>
                            <section class="span4">
                                <a href="#properties">Properties</a>
                            </section>
                            <section class="span4">
                                <a href="#constants">Constants</a>
                            </section>
                        </section>
                        <section class="row-fluid public">
                            <section class="span4">
                                                                    <a href="../classes/warden.src.IdeaCategory.html#method_getConstantsAll" class="">getConstantsAll()</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#method_getConstantsNames" class="">getConstantsNames()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <em>No public properties found</em>
                                                            </section>
                            <section class="span4">
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ABUSIVE_SPAM" class="">ABUSIVE_SPAM</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ABUSIVE_HARASSMENT" class="">ABUSIVE_HARASSMENT</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ABUSIVE_CHILD" class="">ABUSIVE_CHILD</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ABUSIVE_SEXUAL" class="">ABUSIVE_SEXUAL</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ABUSIVE_VIOLENCE" class="">ABUSIVE_VIOLENCE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_VIRUS" class="">MALWARE_VIRUS</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_WORM" class="">MALWARE_WORM</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_TROJAN" class="">MALWARE_TROJAN</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_SPYWARE" class="">MALWARE_SPYWARE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_DIALER" class="">MALWARE_DIALER</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_ROOTKIT" class="">MALWARE_ROOTKIT</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_MALWARE_GENERAL" class="">MALWARE_GENERAL</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_RECON_SCANNING" class="">RECON_SCANNING</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_RECON_SNIFFING" class="">RECON_SNIFFING</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_RECON_SOCIALENGINEERING" class="">RECON_SOCIALENGINEERING</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_RECON_SEARCHING" class="">RECON_SEARCHING</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ATTEMPT_EXPLOIT" class="">ATTEMPT_EXPLOIT</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ATTEMPT_LOGIN" class="">ATTEMPT_LOGIN</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ATTEMPT_NEWSIGNATURE" class="">ATTEMPT_NEWSIGNATURE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_INTRUSION_ADMINCOMPROMISE" class="">INTRUSION_ADMINCOMPROMISE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_INTRUSION_USERCOMPROMISE" class="">INTRUSION_USERCOMPROMISE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_INTRUSION_APPCOMPROMISE" class="">INTRUSION_APPCOMPROMISE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_INTRUSION_BOTNET" class="">INTRUSION_BOTNET</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_AVAILABILITY_DOS" class="">AVAILABILITY_DOS</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_AVAILABILITY_DDOS" class="">AVAILABILITY_DDOS</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_AVAILABILITY_SABOTAGE" class="">AVAILABILITY_SABOTAGE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_AVAILABILITY_OUTAGE" class="">AVAILABILITY_OUTAGE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_INFORMATION_UNAUTHORIZEDACCESS" class="">INFORMATION_UNAUTHORIZEDACCESS</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_INFORMATION_UNAUTHORIZEDMODIFICATION" class="">INFORMATION_UNAUTHORIZEDMODIFICATION</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_FRAUD_UNAUTHORIZEDUSAGE" class="">FRAUD_UNAUTHORIZEDUSAGE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_FRAUD_COPYRIGHT" class="">FRAUD_COPYRIGHT</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_FRAUD_MASQUERADE" class="">FRAUD_MASQUERADE</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_FRAUD_PHISHING" class="">FRAUD_PHISHING</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_FRAUD_SCAM" class="">FRAUD_SCAM</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_VULNERABLE_OPEN" class="">VULNERABLE_OPEN</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_VULNERABLE_CONFIG" class="">VULNERABLE_CONFIG</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ANOMALY_TRAFFIC" class="">ANOMALY_TRAFFIC</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ANOMALY_CONNECTION" class="">ANOMALY_CONNECTION</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ANOMALY_PROTOCOL" class="">ANOMALY_PROTOCOL</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ANOMALY_SYSTEM" class="">ANOMALY_SYSTEM</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ANOMALY_APPLICATION" class="">ANOMALY_APPLICATION</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_ANOMALY_BEHAVIOUR" class="">ANOMALY_BEHAVIOUR</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_SPAM_SENDING_ADDRESS" class="">SPAM_SENDING_ADDRESS</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_OTHER" class="">OTHER</a><br />
                                                                    <a href="../classes/warden.src.IdeaCategory.html#constant_TEST" class="">TEST</a><br />
                                                            </section>
                        </section>
                        <section class="row-fluid protected">
                            <section class="span4">
                                                                    <em>No protected methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No protected properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                        <section class="row-fluid private">
                            <section class="span4">
                                                                    <em>No private methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No private properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                    </section>
                </div>
                <aside class="span4 detailsbar">
                                            <span class="label label-info">abstract</span>
                                        
                    
                    <dl>
                        <dt>File</dt>
                            <dd><a href="../files/IdeaCategory.html"><div class="path-wrapper">IdeaCategory.php</div></a></dd>
                                                <dt>Package</dt>
                            <dd><div class="namespace-wrapper">Default</div></dd>
                                                <dt>Class hierarchy</dt>
                            <dd class="hierarchy">
                                                                                                                                                                    <div class="namespace-wrapper">\warden\src\IdeaCategory</div>
                            </dd>

                        
                        
                        
                                                                            <dt>See also</dt>
                                                                                        <dd><a href="https://idea.cesnet.cz/en/classifications"><span class="namespace-wrapper">Source</span></a></dd>
                                                    
                                                                        </dl>
                    <h2>Tags</h2>
                    <table class="table table-condensed">
                                            <tr>
                            <th>
                                author
                            </th>
                            <td>
                                                                    <p>Jorgeley <a href="mailto:jinacio@theemaillaundry.com">jinacio@theemaillaundry.com</a></p>
                                                            </td>
                        </tr>
                                        </table>
                </aside>
            </div>

                                    <a id="constants" name="constants"></a>
            <div class="row-fluid">
                <div class="span8 content class">
                    <h2>Constants</h2>
                </div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ABUSIVE_SPAM" name="constant_ABUSIVE_SPAM" class="anchor"></a>
            <article id="constant_ABUSIVE_SPAM" class="constant">
                <h3 class="">ABUSIVE_SPAM</h3>
                <pre class="signature">ABUSIVE_SPAM</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ABUSIVE_HARASSMENT" name="constant_ABUSIVE_HARASSMENT" class="anchor"></a>
            <article id="constant_ABUSIVE_HARASSMENT" class="constant">
                <h3 class="">ABUSIVE_HARASSMENT</h3>
                <pre class="signature">ABUSIVE_HARASSMENT</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ABUSIVE_CHILD" name="constant_ABUSIVE_CHILD" class="anchor"></a>
            <article id="constant_ABUSIVE_CHILD" class="constant">
                <h3 class="">ABUSIVE_CHILD</h3>
                <pre class="signature">ABUSIVE_CHILD</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ABUSIVE_SEXUAL" name="constant_ABUSIVE_SEXUAL" class="anchor"></a>
            <article id="constant_ABUSIVE_SEXUAL" class="constant">
                <h3 class="">ABUSIVE_SEXUAL</h3>
                <pre class="signature">ABUSIVE_SEXUAL</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ABUSIVE_VIOLENCE" name="constant_ABUSIVE_VIOLENCE" class="anchor"></a>
            <article id="constant_ABUSIVE_VIOLENCE" class="constant">
                <h3 class="">ABUSIVE_VIOLENCE</h3>
                <pre class="signature">ABUSIVE_VIOLENCE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_VIRUS" name="constant_MALWARE_VIRUS" class="anchor"></a>
            <article id="constant_MALWARE_VIRUS" class="constant">
                <h3 class="">MALWARE_VIRUS</h3>
                <pre class="signature">MALWARE_VIRUS</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_WORM" name="constant_MALWARE_WORM" class="anchor"></a>
            <article id="constant_MALWARE_WORM" class="constant">
                <h3 class="">MALWARE_WORM</h3>
                <pre class="signature">MALWARE_WORM</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_TROJAN" name="constant_MALWARE_TROJAN" class="anchor"></a>
            <article id="constant_MALWARE_TROJAN" class="constant">
                <h3 class="">MALWARE_TROJAN</h3>
                <pre class="signature">MALWARE_TROJAN</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_SPYWARE" name="constant_MALWARE_SPYWARE" class="anchor"></a>
            <article id="constant_MALWARE_SPYWARE" class="constant">
                <h3 class="">MALWARE_SPYWARE</h3>
                <pre class="signature">MALWARE_SPYWARE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_DIALER" name="constant_MALWARE_DIALER" class="anchor"></a>
            <article id="constant_MALWARE_DIALER" class="constant">
                <h3 class="">MALWARE_DIALER</h3>
                <pre class="signature">MALWARE_DIALER</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_ROOTKIT" name="constant_MALWARE_ROOTKIT" class="anchor"></a>
            <article id="constant_MALWARE_ROOTKIT" class="constant">
                <h3 class="">MALWARE_ROOTKIT</h3>
                <pre class="signature">MALWARE_ROOTKIT</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MALWARE_GENERAL" name="constant_MALWARE_GENERAL" class="anchor"></a>
            <article id="constant_MALWARE_GENERAL" class="constant">
                <h3 class="">MALWARE_GENERAL</h3>
                <pre class="signature">MALWARE_GENERAL</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_RECON_SCANNING" name="constant_RECON_SCANNING" class="anchor"></a>
            <article id="constant_RECON_SCANNING" class="constant">
                <h3 class="">RECON_SCANNING</h3>
                <pre class="signature">RECON_SCANNING</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_RECON_SNIFFING" name="constant_RECON_SNIFFING" class="anchor"></a>
            <article id="constant_RECON_SNIFFING" class="constant">
                <h3 class="">RECON_SNIFFING</h3>
                <pre class="signature">RECON_SNIFFING</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_RECON_SOCIALENGINEERING" name="constant_RECON_SOCIALENGINEERING" class="anchor"></a>
            <article id="constant_RECON_SOCIALENGINEERING" class="constant">
                <h3 class="">RECON_SOCIALENGINEERING</h3>
                <pre class="signature">RECON_SOCIALENGINEERING</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_RECON_SEARCHING" name="constant_RECON_SEARCHING" class="anchor"></a>
            <article id="constant_RECON_SEARCHING" class="constant">
                <h3 class="">RECON_SEARCHING</h3>
                <pre class="signature">RECON_SEARCHING</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ATTEMPT_EXPLOIT" name="constant_ATTEMPT_EXPLOIT" class="anchor"></a>
            <article id="constant_ATTEMPT_EXPLOIT" class="constant">
                <h3 class="">ATTEMPT_EXPLOIT</h3>
                <pre class="signature">ATTEMPT_EXPLOIT</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ATTEMPT_LOGIN" name="constant_ATTEMPT_LOGIN" class="anchor"></a>
            <article id="constant_ATTEMPT_LOGIN" class="constant">
                <h3 class="">ATTEMPT_LOGIN</h3>
                <pre class="signature">ATTEMPT_LOGIN</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ATTEMPT_NEWSIGNATURE" name="constant_ATTEMPT_NEWSIGNATURE" class="anchor"></a>
            <article id="constant_ATTEMPT_NEWSIGNATURE" class="constant">
                <h3 class="">ATTEMPT_NEWSIGNATURE</h3>
                <pre class="signature">ATTEMPT_NEWSIGNATURE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_INTRUSION_ADMINCOMPROMISE" name="constant_INTRUSION_ADMINCOMPROMISE" class="anchor"></a>
            <article id="constant_INTRUSION_ADMINCOMPROMISE" class="constant">
                <h3 class="">INTRUSION_ADMINCOMPROMISE</h3>
                <pre class="signature">INTRUSION_ADMINCOMPROMISE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_INTRUSION_USERCOMPROMISE" name="constant_INTRUSION_USERCOMPROMISE" class="anchor"></a>
            <article id="constant_INTRUSION_USERCOMPROMISE" class="constant">
                <h3 class="">INTRUSION_USERCOMPROMISE</h3>
                <pre class="signature">INTRUSION_USERCOMPROMISE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_INTRUSION_APPCOMPROMISE" name="constant_INTRUSION_APPCOMPROMISE" class="anchor"></a>
            <article id="constant_INTRUSION_APPCOMPROMISE" class="constant">
                <h3 class="">INTRUSION_APPCOMPROMISE</h3>
                <pre class="signature">INTRUSION_APPCOMPROMISE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_INTRUSION_BOTNET" name="constant_INTRUSION_BOTNET" class="anchor"></a>
            <article id="constant_INTRUSION_BOTNET" class="constant">
                <h3 class="">INTRUSION_BOTNET</h3>
                <pre class="signature">INTRUSION_BOTNET</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_AVAILABILITY_DOS" name="constant_AVAILABILITY_DOS" class="anchor"></a>
            <article id="constant_AVAILABILITY_DOS" class="constant">
                <h3 class="">AVAILABILITY_DOS</h3>
                <pre class="signature">AVAILABILITY_DOS</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_AVAILABILITY_DDOS" name="constant_AVAILABILITY_DDOS" class="anchor"></a>
            <article id="constant_AVAILABILITY_DDOS" class="constant">
                <h3 class="">AVAILABILITY_DDOS</h3>
                <pre class="signature">AVAILABILITY_DDOS</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_AVAILABILITY_SABOTAGE" name="constant_AVAILABILITY_SABOTAGE" class="anchor"></a>
            <article id="constant_AVAILABILITY_SABOTAGE" class="constant">
                <h3 class="">AVAILABILITY_SABOTAGE</h3>
                <pre class="signature">AVAILABILITY_SABOTAGE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_AVAILABILITY_OUTAGE" name="constant_AVAILABILITY_OUTAGE" class="anchor"></a>
            <article id="constant_AVAILABILITY_OUTAGE" class="constant">
                <h3 class="">AVAILABILITY_OUTAGE</h3>
                <pre class="signature">AVAILABILITY_OUTAGE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_INFORMATION_UNAUTHORIZEDACCESS" name="constant_INFORMATION_UNAUTHORIZEDACCESS" class="anchor"></a>
            <article id="constant_INFORMATION_UNAUTHORIZEDACCESS" class="constant">
                <h3 class="">INFORMATION_UNAUTHORIZEDACCESS</h3>
                <pre class="signature">INFORMATION_UNAUTHORIZEDACCESS</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_INFORMATION_UNAUTHORIZEDMODIFICATION" name="constant_INFORMATION_UNAUTHORIZEDMODIFICATION" class="anchor"></a>
            <article id="constant_INFORMATION_UNAUTHORIZEDMODIFICATION" class="constant">
                <h3 class="">INFORMATION_UNAUTHORIZEDMODIFICATION</h3>
                <pre class="signature">INFORMATION_UNAUTHORIZEDMODIFICATION</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_FRAUD_UNAUTHORIZEDUSAGE" name="constant_FRAUD_UNAUTHORIZEDUSAGE" class="anchor"></a>
            <article id="constant_FRAUD_UNAUTHORIZEDUSAGE" class="constant">
                <h3 class="">FRAUD_UNAUTHORIZEDUSAGE</h3>
                <pre class="signature">FRAUD_UNAUTHORIZEDUSAGE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_FRAUD_COPYRIGHT" name="constant_FRAUD_COPYRIGHT" class="anchor"></a>
            <article id="constant_FRAUD_COPYRIGHT" class="constant">
                <h3 class="">FRAUD_COPYRIGHT</h3>
                <pre class="signature">FRAUD_COPYRIGHT</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_FRAUD_MASQUERADE" name="constant_FRAUD_MASQUERADE" class="anchor"></a>
            <article id="constant_FRAUD_MASQUERADE" class="constant">
                <h3 class="">FRAUD_MASQUERADE</h3>
                <pre class="signature">FRAUD_MASQUERADE</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_FRAUD_PHISHING" name="constant_FRAUD_PHISHING" class="anchor"></a>
            <article id="constant_FRAUD_PHISHING" class="constant">
                <h3 class="">FRAUD_PHISHING</h3>
                <pre class="signature">FRAUD_PHISHING</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_FRAUD_SCAM" name="constant_FRAUD_SCAM" class="anchor"></a>
            <article id="constant_FRAUD_SCAM" class="constant">
                <h3 class="">FRAUD_SCAM</h3>
                <pre class="signature">FRAUD_SCAM</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_VULNERABLE_OPEN" name="constant_VULNERABLE_OPEN" class="anchor"></a>
            <article id="constant_VULNERABLE_OPEN" class="constant">
                <h3 class="">VULNERABLE_OPEN</h3>
                <pre class="signature">VULNERABLE_OPEN</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_VULNERABLE_CONFIG" name="constant_VULNERABLE_CONFIG" class="anchor"></a>
            <article id="constant_VULNERABLE_CONFIG" class="constant">
                <h3 class="">VULNERABLE_CONFIG</h3>
                <pre class="signature">VULNERABLE_CONFIG</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ANOMALY_TRAFFIC" name="constant_ANOMALY_TRAFFIC" class="anchor"></a>
            <article id="constant_ANOMALY_TRAFFIC" class="constant">
                <h3 class="">ANOMALY_TRAFFIC</h3>
                <pre class="signature">ANOMALY_TRAFFIC</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ANOMALY_CONNECTION" name="constant_ANOMALY_CONNECTION" class="anchor"></a>
            <article id="constant_ANOMALY_CONNECTION" class="constant">
                <h3 class="">ANOMALY_CONNECTION</h3>
                <pre class="signature">ANOMALY_CONNECTION</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ANOMALY_PROTOCOL" name="constant_ANOMALY_PROTOCOL" class="anchor"></a>
            <article id="constant_ANOMALY_PROTOCOL" class="constant">
                <h3 class="">ANOMALY_PROTOCOL</h3>
                <pre class="signature">ANOMALY_PROTOCOL</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ANOMALY_SYSTEM" name="constant_ANOMALY_SYSTEM" class="anchor"></a>
            <article id="constant_ANOMALY_SYSTEM" class="constant">
                <h3 class="">ANOMALY_SYSTEM</h3>
                <pre class="signature">ANOMALY_SYSTEM</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ANOMALY_APPLICATION" name="constant_ANOMALY_APPLICATION" class="anchor"></a>
            <article id="constant_ANOMALY_APPLICATION" class="constant">
                <h3 class="">ANOMALY_APPLICATION</h3>
                <pre class="signature">ANOMALY_APPLICATION</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ANOMALY_BEHAVIOUR" name="constant_ANOMALY_BEHAVIOUR" class="anchor"></a>
            <article id="constant_ANOMALY_BEHAVIOUR" class="constant">
                <h3 class="">ANOMALY_BEHAVIOUR</h3>
                <pre class="signature">ANOMALY_BEHAVIOUR</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_SPAM_SENDING_ADDRESS" name="constant_SPAM_SENDING_ADDRESS" class="anchor"></a>
            <article id="constant_SPAM_SENDING_ADDRESS" class="constant">
                <h3 class="">SPAM_SENDING_ADDRESS</h3>
                <pre class="signature">SPAM_SENDING_ADDRESS</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_OTHER" name="constant_OTHER" class="anchor"></a>
            <article id="constant_OTHER" class="constant">
                <h3 class="">OTHER</h3>
                <pre class="signature">OTHER</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_TEST" name="constant_TEST" class="anchor"></a>
            <article id="constant_TEST" class="constant">
                <h3 class="">TEST</h3>
                <pre class="signature">TEST</pre>
                <p><em></em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                            
                        
                                    <a id="methods" name="methods"></a>
            <div class="row-fluid">
                <div class="span8 content class"><h2>Methods</h2></div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getConstantsAll" name="method_getConstantsAll" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getConstantsAll()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getConstantsAll() : array</pre>
                <p><em></em></p>
                

                
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>Idea categories defined constants in format:
[CONSTANT_NAME] =&gt; Array
(
[0] =&gt; Category.Subcategory
[1] =&gt; Description
)
...and more</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getConstantsNames" name="method_getConstantsNames" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getConstantsNames()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getConstantsNames() : array</pre>
                <p><em></em></p>
                

                
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>Idea constants names, eg: [0=&gt;'ABUSIVE_SPAM',1=&gt;'more...']</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                                                    </div>
    </section>

    <div id="source-view" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="source-view-label" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="source-view-label">IdeaCategory.php</h3>
        </div>
        <div class="modal-body">
            <pre data-src="../files/IdeaCategory.php.txt" class="language-php line-numbers"></pre>
        </div>
    </div>

    <footer class="row-fluid">
        <section class="span10 offset2">
            <section class="row-fluid">
                <section class="span10 offset1">
                    <section class="row-fluid footer-sections">
                        <section class="span4">
                                                        <h1><i class="icon-code"></i></h1>
                            <div>
                                <ul>
                                                                            <li><a href="../namespaces/warden.html">\warden</a></li>
                                                                    </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-bar-chart"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../graphs/class.html">Class Hierarchy Diagram</a></li>
                                </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-pushpin"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../reports/errors.html">Errors</a></li>
                                    <li><a href="../reports/markers.html">Markers</a></li>
                                </ul>
                            </div>
                        </section>
                    </section>
                </section>
            </section>
            <section class="row-fluid">
                <section class="span10 offset1">
                    <hr />
                    Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor </a> and authored
                    on July 19th, 2017 at 14:48.
                </section>
            </section>
        </section>
    </footer>
</div>

</body>
</html>
